
beasties_list = {
	1,	1.0,	"chunk", 					1,
	1,	1.0,	"robot_green_path", 		1,
	1,	1.0,	"robot_green", 				1,
	1,	1.0,	"robot_yellow", 			1,
	1,	1.0,	"blocker_red", 				1,
	1,	1.0,	"motha-2_emerge", 			1,
	1,	1.0,	"weblob_tiny2",				1,
	1,	1.0,	"crystal_large",			1,
	1,	1.0,	"pathfly_tiny",				1,
	1,	25.0,	"mergeblob-1_big_emerge",	1,
	1,	25.0,	"geopus",					1,
	1,	25.0,	"beemspider-1",				1,
	1,	25.0,	"worm_chain_split",			1,
	1,	25.0,	"ninjoo-1",					1,
	1,	25.0,	"weelee-small",				1,
	1,	25.0,	"turret-1_big",				1,
	1,	25.0,	"turret-1_med",				1,
	1,	25.0,	"turret-1_sma",				1,
	1,	25.0,	"turret-base",				1,
	1,	25.0,	"trailer-1_emerge",			1,
	1,	25.0,	"powerpimp",				1,
	1,	25.0,	"wall-1_flat",				1,
	1,	25.0,	"trackfly-1",				1,
	1,	25.0,	"trackfly-2",				1,
	1,	25.0,	"laser-1_1sec",				1,
	1,	25.0,	"laser-1_2sec",				1,
	1,	25.0,	"laser-1_3sec",				1,
	1,	25.0,	"spinner-1",				1,
	1,	25.0,	"robo-mom",					1,
}

beasties_list_width = 4
first_beast = 0



for t = 1,6000,beasties_list_width do
	if beasties_list[t] ~= nil then
		local	beast_name = beasties_list[t+2]
		local	isneeded = c_is_model_needed( beast_name )

		if isneeded ~= 0 then

			color = beastie_colour + c_zrand(-120.0,120.0)
			if first_beast == 0 then
				if beast_name ~= "chunk" then
					if beast_name ~= "wall-1_flat" then
						color = beastie_colour
						first_beast = 1
					end
				end
			end

			local colour2 = color

			if beast_name == "crystal_large" then
				dofile_lua( "crystal_medium" )
				dofile_lua( "crystal_small" )
				dofile_lua( "crystal_tiny" )
			end

			if beast_name == "trailer-1_emerge" then
				dofile_lua( "trailer-trash" )
				color = beastie_colour + c_zrand(-120.0,120.0)
			end

			if beast_name == "mergeblob-1_big_emerge" then
				dofile_lua( "mergeblob-1_spawn" )
			end

			if beast_name == "motha-2_emerge" then
				dofile_lua( "motha-2_spawn" )
				c = c_zrand( -100.0, 100.0 )
				if c < 0 then
				color = beastie_colour + 60.0
				else
				color = beastie_colour - 60.0
				end
			end

			if beast_name == "robot_green_path" then
				color = colour2 - 120.0
				dofile_lua( "robot_green" )
				color = colour2 + 120.0
				dofile_lua( "robot_yellow" )
				color = colour2
			end

			if beast_name == "robot_green" then
				color = colour2 - 120.0
				dofile_lua( "robot_yellow" )
				color = colour2
			end

			if beast_name == "chunk" then
				if cur_level_num == 100 then
					dofile_lua( "chunk-1" )
					dofile_lua( "chunk-2" )
					dofile_lua( "chunk-3" )
				end
				if demo_level == 1 then
					beast_name = "chunk-1"
				else
					beast_name = format( "%s-%d", beast_name, (c_zrand_int( 3 )+1) )
				end
				current_chunk = beast_name
			end

			dofile_lua( beast_name )
		end
	else
		color = beastie_colour
		dofile_lua( "end_chaser" )
		dofile_lua( "null-fizz" )
		-- end loop
		break
	end
end
